Subject: [Roll] Martin Duke's No Objection on draft-ietf-roll-turnon-rfc8138-17: (with COMMENT)

From: Martin Duke via Datatracker <[email-masked]>
Date: Wed, 11 Nov 2020 08:40:40 -0800

Martin Duke has entered the following ballot position for
draft-ietf-roll-turnon-rfc8138-17: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-roll-turnon-rfc8138/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for addressing my DISCUSS.

I found last paragraph of Section 3 confusing. I suggest the following change:

OLD:
Section 6.3.1 of [RFC6550] defines a 3-bit Mode of Operation (MOP) in the DIO
Base Object. This specification applies to MOP values 0 to 6. For a MOP value
of 7, the compression MUST be used by default regardless of the setting of the
"T" flag.

NEW:
"Section 6.3.1 of [RFC6550] defines a 3-bit Mode of Operation (MOP) in the DIO
Base Object. This specification adds codepoint 7 to the registry for this
field.   For a MOP value of 7, the compression MUST be used by default
regardless of the setting of the "T" flag.“

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 11 Nov 2020 17:34:27 +0000

Hello Martin:

MOP 7 is not added by this document but by useofrplinfo. This is why we do not update it here.
Please see https://tools.ietf.org/html/draft-ietf-roll-useofrplinfo-41#section-4.3

I'm reluctant applying the change you propose. Considering the above it seems misleading.
Also it took a a lot of effort from multiple persons (Alvaro leading) to craft that particular sentence.
We seem to have reached a difficult consensus.

Take care

Pascal

> -----Original Message-----
> From: Roll <[email-masked]> On Behalf Of Martin Duke via Datatracker
> Sent: mercredi 11 novembre 2020 17:41
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: [Roll] Martin Duke's No Objection on draft-ietf-roll-turnon-rfc8138-
> 17: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Section 6.3.1 of [RFC6550] defines a 3-bit Mode of Operation (MOP) in the
> DIO Base Object. This specification applies to MOP values 0 to 6. For a MOP
> value of 7, the compression MUST be used by default regardless of the setting
> of the "T" flag.
> 
> NEW:
> "Section 6.3.1 of [RFC6550] defines a 3-bit Mode of Operation (MOP) in the
> DIO Base Object. This specification adds codepoint 7 to the registry for this
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: Martin Duke <[email-masked]>
Date: Wed, 11 Nov 2020 14:22:58 -0800

sorry, that comment is left over from the original ballot.

On Wed, Nov 11, 2020 at 9:34 AM Pascal Thubert (pthubert) <
[email-masked]> wrote:

> Please see
> https://tools.ietf.org/html/draft-ietf-roll-useofrplinfo-41#section-4.3
>
> email
> > Please refer to
> https://www.ietf.org/iesg/statement/discuss-criteria.html